# AddALID

### int AddALID(int ALID, string strName, string strALCD)

EZGemPlus에 Alarm을 등록하는 함수.

Parameters

<table data-header-hidden data-full-width="false"><thead><tr><th width="172" valign="top"></th><th width="155" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">ALID</td><td valign="top">int</td><td valign="top">등록하려는 Alarm의 ID (ALID)</td></tr><tr><td valign="top">strName</td><td valign="top">string</td><td valign="top">등록하려는 Alarm의 Name (ALTXT)</td></tr><tr><td valign="top">strALCD</td><td valign="top">string</td><td valign="top">등록하려는 Alarm의 code byte (ALCD)</td></tr></tbody></table>

```csharp
m_gem.AddALID(20001,"EMS#1_(Main_Panel)_On_Check_Alarm","6");        //6=중알람
m_gem.AddALID(20601,"Panel_Temp_35_Over_Warning","1");               //1=경알람
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/id/addalid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
